OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Member Functions | List of all members
TabulatedFunction Class Referenceabstract

A TabulatedFunction uses a set of tabulated values to define a mathematical function. More...

`#include <TabulatedFunction.h>`

Inheritance diagram for TabulatedFunction:

## Public Member Functions
virtual | ~TabulatedFunction ()
virtual TabulatedFunction * | Copy () const =0

## Detailed Description

A TabulatedFunction uses a set of tabulated values to define a mathematical function.

It can be used by various custom forces.

TabulatedFunction is an abstract class with concrete subclasses for more specific types of functions. There are subclasses for:

- 1, 2, and 3 dimensional functions. The dimensionality of a function means the number of input arguments it takes.
- Continuous and discrete functions. A continuous function is interpolated by fitting a natural cubic spline to the tabulated values. A discrete function is only defined for integer values of its arguments (that is, at the tabulated points), and does not try to interpolate between them. Discrete function can be evaluated more quickly than continuous ones.

## Constructor & Destructor Documentation

virtual ~TabulatedFunction | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual TabulatedFunction* Copy | ( |  | ) | const
| pure virtual

Implemented in Discrete3DFunction, Discrete2DFunction, Discrete1DFunction, Continuous3DFunction, Continuous2DFunction, and Continuous1DFunction.

The documentation for this class was generated from the following file:

- TabulatedFunction.h